# Generated from tanker-core-2.21.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name tanker-core

Name: rubygem-%{gem_name}
Version: 2.21.0
Release: 1%{?dist}
Summary: Ruby SDK for Tanker
License: Apache-2.0
URL: https://tanker.io
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.6.0
# BuildRequires: rubygem(bundler-audit) >= 0.7
# BuildRequires: rubygem(bundler-audit) < 1
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 1.13
# BuildRequires: rubygem(rubocop) < 2
# BuildRequires: rubygem(rubygems-tasks) >= 0.2.5
# BuildRequires: rubygem(rubygems-tasks) < 0.3
# BuildRequires: rubygem(tanker-identity) >= 0.1
# BuildRequires: rubygem(tanker-identity) < 1
BuildArch: noarch

%description
Ruby bindings for the Tanker SDK.
Tanker is a platform as a service that allows you to easily protect your
users' data with end-to-end encryption through a SDK.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rst

%changelog
* Thu Sep 16 2021 mockbuilder - 2.21.0-1
- Initial package
